summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Kyle Guinn <elyk03@gmail.com>2010-05-11 20:02:10 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:02:10 +0200
commit3f09cac00b409b6e441037f2f7e789fb9801a174 (patch)
tree8d3484ed31ae8a9009bd61a0546b02747bbdfb9c
parent0d5f6f3883467a2dd53d107b6380e9d32eebe7dc (diff)
downloadslackbuilds-3f09cac00b409b6e441037f2f7e789fb9801a174.tar.gz
slackbuilds-3f09cac00b409b6e441037f2f7e789fb9801a174.tar.xz
system/usbview: Added to 12.0 repository
-rw-r--r--system/usbview/README4
-rw-r--r--system/usbview/slack-desc19
-rw-r--r--system/usbview/usbview.SlackBuild54
-rw-r--r--system/usbview/usbview.info8
4 files changed, 85 insertions, 0 deletions
diff --git a/system/usbview/README b/system/usbview/README
new file mode 100644
index 0000000000..575f346f1f
--- /dev/null
+++ b/system/usbview/README
@@ -0,0 +1,4 @@
+USBView is a GTK program that displays the topography of the devices that are
+plugged into the USB bus on a Linux machine. It also displays information on
+each of the devices. This can be useful to determine if a device is working
+properly or not.
diff --git a/system/usbview/slack-desc b/system/usbview/slack-desc
new file mode 100644
index 0000000000..1722e1707b
--- /dev/null
+++ b/system/usbview/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+usbview: USBView (GTK program that displays the topography of USB devices)
+usbview:
+usbview: USBView is a GTK program that displays the topography of the
+usbview: devices that are plugged into the USB bus on a Linux machine.
+usbview: It also displays information on each of the devices. This can
+usbview: be useful to determine if a device is working properly or not.
+usbview:
+usbview: Homepage: http://www.kroah.com/linux/usb/
+usbview:
+usbview:
+usbview:
diff --git a/system/usbview/usbview.SlackBuild b/system/usbview/usbview.SlackBuild
new file mode 100644
index 0000000000..158bdd1a15
--- /dev/null
+++ b/system/usbview/usbview.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+# Slackware build script for usbview
+# Written by Kyle Guinn <elyk03@gmail.com>
+
+PRGNAM="usbview"
+VERSION="1.0"
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-st .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/usbview/usbview.info b/system/usbview/usbview.info
new file mode 100644
index 0000000000..49ec6c841b
--- /dev/null
+++ b/system/usbview/usbview.info
@@ -0,0 +1,8 @@
+PRGNAM="usbview"
+VERSION="1.0"
+HOMEPAGE="http://www.kroah.com/linux/usb/"
+DOWNLOAD="http://downloads.sourceforge.net/usbview/usbview-1.0.tar.gz"
+MD5SUM="2ac1bdae03a858b965e895b211a75ad7"
+MAINTAINER="Kyle Guinn"
+EMAIL="elyk03@gmail.com"
+APPROVED="rworkman"